import { Component, Input, Output, EventEmitter } from '@angular/core';
import { CHECKBOX_TEMPLATE } from './checkbox.template';
var CheckBox = (function () {
    function CheckBox() {
        this.onSelected = new EventEmitter();
    }
    CheckBox.prototype.onChecked = function (event) {
        this.selected = event.target.checked;
        this.onSelected.emit(event);
    };
    Object.defineProperty(CheckBox.prototype, "selected", {
        get: function () {
            return this._selected;
        },
        set: function (selected) {
            this._selected = selected;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CheckBox.prototype, "height", {
        get: function () {
            return this._height;
        },
        set: function (height) {
            this._height = height;
        },
        enumerable: true,
        configurable: true
    });
    return CheckBox;
}());
export { CheckBox };
CheckBox.decorators = [
    { type: Component, args: [{
                selector: 'data-table-checkbox',
                template: CHECKBOX_TEMPLATE
            },] },
];
/** @nocollapse */
CheckBox.ctorParameters = function () { return []; };
CheckBox.propDecorators = {
    'onSelected': [{ type: Output },],
    'selected': [{ type: Input },],
    'height': [{ type: Input },],
};
//# sourceMappingURL=checkBox.component.js.map