import { EventEmitter, OnDestroy, ElementRef, Renderer2 } from '@angular/core';
import { DataTable } from './table.component';
export declare class DataTableRow implements OnDestroy {
    dataTable: DataTable;
    private elRef;
    private render2;
    item: any;
    index: number;
    width: number | string;
    height: number | string;
    top: number;
    expanded: boolean;
    private _selected;
    ngAfterViewInit(): void;
    selectedChange: EventEmitter<{}>;
    selected: boolean;
    constructor(dataTable: DataTable, elRef: ElementRef, render2: Renderer2);
    ngOnDestroy(): void;
    _this: this;
}
