export declare class HeaderProperty {
    constructor();
    /**是否为升序排列 */
    sortAsc: boolean;
    /**是否可排序，默认为false */
    sortable: boolean;
    /**当前列是否固定 */
    fixed: boolean;
    /**若fixed设置为true，position分为left和right，即左右固定 */
    position: string;
    /**表头属性key */
    property?: string;
    /**表头列名 */
    header?: string;
    /**表头是否可编辑 */
    resizable: boolean;
    /**列宽 */
    width: number;
}
