import { Directive } from '@angular/core';
var TableProperty = (function () {
    function TableProperty() {
        /**是否显示分页，默认为true */
        this.pagination = true;
        /**是否单选,默认为false*/
        this.selectColumn = false;
        /**是否多选，默认为false */
        this.multiSelect = false;
        /**若pagination为true，每页显示条数 */
        this.limit = 20;
        /** 当前页数 */
        this.page = NaN;
    }
    return TableProperty;
}());
export { TableProperty };
TableProperty.decorators = [
    { type: Directive, args: [{
                selector: 'table-property'
            },] },
];
/** @nocollapse */
TableProperty.ctorParameters = function () { return []; };
//# sourceMappingURL=table-property.js.map