import { Directive, Input, ContentChild } from '@angular/core';
var DataTableColumn = (function () {
    function DataTableColumn() {
        this.sortable = false;
        this.resizable = false;
        this.fixed = false;
        this.visible = true;
        this.styleClassObject = {}; // for [ngClass]
    }
    DataTableColumn.prototype.ngOnInit = function () {
    };
    return DataTableColumn;
}());
export { DataTableColumn };
DataTableColumn.decorators = [
    { type: Directive, args: [{
                selector: 'data-table-column'
            },] },
];
/** @nocollapse */
DataTableColumn.ctorParameters = function () { return []; };
DataTableColumn.propDecorators = {
    'header': [{ type: Input },],
    'sortable': [{ type: Input },],
    'resizable': [{ type: Input },],
    'property': [{ type: Input },],
    'sortAsc': [{ type: Input },],
    'fixed': [{ type: Input },],
    'code': [{ type: Input },],
    'position': [{ type: Input },],
    'width': [{ type: Input },],
    'height': [{ type: Input },],
    'visible': [{ type: Input },],
    'cellTemplate': [{ type: ContentChild, args: ['dataTableCell',] },],
    'headerTemplate': [{ type: ContentChild, args: ['dataTableHeader',] },],
};
//# sourceMappingURL=column.component.js.map