import { ModuleWithProviders } from '@angular/core';
import { DataTable } from './components/data-grid/table.component';
import { DataTableColumn } from './components/data-grid/column.component';
import { DataTableRow } from './components/data-grid/row.component';
import { DataTablePagination } from './components/data-grid/pagination.component';
import { DataTableHeader } from './components/data-grid/header.component';
import { ColumnEventService } from './services/column-event-service';
import { HeaderProperty } from './model/header-property';
import { TableProperty } from './model/table-property';
export * from './components/data-grid/types';
export * from './tools/data-table-resource';
export * from './services/column-event-service';
export { DataTable, DataTableColumn, DataTableRow, DataTablePagination, DataTableHeader, HeaderProperty, TableProperty, ColumnEventService };
export declare const DATA_TABLE_DIRECTIVES: (typeof DataTable | typeof DataTableColumn)[];
export declare class DataTableModule {
    static forRoot(): ModuleWithProviders;
}
