import { Directive } from '@angular/core';
var HeaderProperty = (function () {
    function HeaderProperty() {
        /**是否为升序排列 */
        this.sortAsc = false;
        /**是否可排序，默认为false */
        this.sortable = false;
        /**当前列是否固定 */
        this.fixed = false;
        /**若fixed设置为true，position分为left和right，即左右固定 */
        this.position = "left";
        /**表头是否可编辑 */
        this.resizable = false;
        /**列宽 */
        this.width = 200;
    }
    return HeaderProperty;
}());
export { HeaderProperty };
HeaderProperty.decorators = [
    { type: Directive, args: [{
                selector: 'header-property'
            },] },
];
/** @nocollapse */
HeaderProperty.ctorParameters = function () { return []; };
//# sourceMappingURL=header-property.js.map