import { HeaderProperty } from './header-property';
export declare class TableProperty {
    constructor();
    /**是否显示分页，默认为true */
    pagination: boolean;
    /**是否单选,默认为false*/
    selectColumn: boolean;
    /**是否多选，默认为false */
    multiSelect: boolean;
    /**若pagination为true，每页显示条数 */
    limit: number;
    /**数据总条数 */
    itemCount: number;
    /** 当前页数 */
    page: number;
    /**数据源 */
    dataProvider: any[];
    /**表头集合 */
    headers: HeaderProperty[];
}
