import { Injectable } from '@angular/core';
import { Subject } from 'rxjs/Subject';
var ColumnEventService = (function () {
    function ColumnEventService() {
        //列表列加载完成对象
        this.subject = new Subject();
    }
    //观察者模式
    ColumnEventService.prototype.sendColumnDoneMessage = function (message) {
        this.subject.next(message);
    };
    ColumnEventService.prototype.clearColumnDoneMessage = function () {
        this.subject.next();
    };
    ColumnEventService.prototype.getColumnDoneMessage = function () {
        return this.subject.asObservable();
    };
    return ColumnEventService;
}());
export { ColumnEventService };
ColumnEventService.decorators = [
    { type: Injectable },
];
/** @nocollapse */
ColumnEventService.ctorParameters = function () { return []; };
//# sourceMappingURL=column-event-service.js.map